#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using System.Xml.Serialization;

namespace dnp.DomainModeler
{
    [Serializable]
    public class BusinessEntityAttribute
    {
        private string _name = "";
        private AttributeRoleEnum _attributeRole;


        public BusinessEntityAttribute()
        {
        }

        public BusinessEntityAttribute(string name)
        {
            _name = name;
        }

        [XmlAttribute]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }


        [XmlAttribute]
        public AttributeRoleEnum AttributeRole
        {
            get { return _attributeRole; }
            set { _attributeRole = value; }
        }
    }
}