#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using System.Xml.Serialization;

namespace dnp.DomainModeler.Configuration
{
    [Serializable]
    public class BusinessKeyDefinition
    {
        private string _sourceObjectName;


        public BusinessKeyDefinition()
        {
        }

        public BusinessKeyDefinition(string name)
        {
            _sourceObjectName = name;
        }

        [XmlAttribute]
        public string SourceObjectName
        {
            get { return _sourceObjectName; }
            set { _sourceObjectName = value; }
        }
    }
}
