#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using dnp.Framework.Collections;

namespace dnp.DomainModeler.Configuration
{
    [Serializable]
    public class PropertyDefinitionCollection : MultiKeyedCollection<PropertyDefinition>
    {
        /// <summary>
        /// This collections key is SourceObjectName
        /// </summary>
        public PropertyDefinitionCollection()
            : base("SourceObjectName")
        {
        }
    }
}