#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using dnp.Framework.Database.DatabaseExplorer;

namespace dnp.DomainModeler
{
    public interface ISource
    {
        Type SourceType{ get;}
        object Instance { get;}
        string Name { get;}
        ExtendedPropertyCollection ExtendedProperties { get;}
        string FullName { get;}
        string Definition { get;}
        SourceColumnCollection Columns { get;}
        string Description { get;}
        string SafeFullName { get; }
    }
}
