#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using dnp.Framework.Database.DatabaseExplorer;

namespace dnp.DomainModeler
{
    public interface ISourceColumn : ISchemaBase
    {
        bool IsIdentity { get; }

        bool IsNullable { get; }

        bool IsComputed { get; }

        Type DotNetType { get; }

        int? CharacterMaximumLength { get; }

        int? NumericPrecision { get; }

        int? NumericScale { get; }

        int? DateTimePrecision { get; }

        bool InUnquieIndex { get;}
        bool InPrimaryKey { get;}
        bool InForeignKey { get;}
    }
}
