SELECT     KCU1.TABLE_CATALOG, KCU1.TABLE_SCHEMA, KCU1.TABLE_NAME, KCU1.CONSTRAINT_NAME, KCU1.COLUMN_NAME, KCU1.ORDINAL_POSITION, 
                      KCU2.TABLE_CATALOG AS 'UNIQUE_TABLE_CATALOG', KCU2.TABLE_SCHEMA AS 'UNIQUE_TABLE_SCHEMA', 
                      KCU2.CONSTRAINT_NAME AS 'UNIQUE_CONSTRAINT_NAME', KCU2.TABLE_NAME AS 'UNIQUE_TABLE_NAME', 
                      KCU2.COLUMN_NAME AS 'UNIQUE_COLUMN_NAME'
FROM         INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS AS RC WITH (NOLOCK) INNER JOIN
                      INFORMATION_SCHEMA.KEY_COLUMN_USAGE AS KCU1 WITH (NOLOCK) ON KCU1.CONSTRAINT_CATALOG = RC.CONSTRAINT_CATALOG AND 
                      KCU1.CONSTRAINT_SCHEMA = RC.CONSTRAINT_SCHEMA AND KCU1.CONSTRAINT_NAME = RC.CONSTRAINT_NAME INNER JOIN
                      INFORMATION_SCHEMA.KEY_COLUMN_USAGE AS KCU2 WITH (NOLOCK) ON KCU2.CONSTRAINT_CATALOG = RC.UNIQUE_CONSTRAINT_CATALOG AND 
                      KCU2.CONSTRAINT_SCHEMA = RC.UNIQUE_CONSTRAINT_SCHEMA AND KCU2.CONSTRAINT_NAME = RC.UNIQUE_CONSTRAINT_NAME AND 
                      KCU1.ORDINAL_POSITION = KCU2.ORDINAL_POSITION
ORDER BY KCU1.TABLE_CATALOG, KCU1.TABLE_SCHEMA, KCU1.TABLE_NAME