#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using CodeSmith.Engine;

namespace dnp.Framework.Scripting
{
    public class Script
    {
        /// <summary>
        /// Used to output an expression string based on the source
        /// </summary>
        /// <param name="expression">Text string with source properties surounded by $</param>
        /// <param name="source">object instance that will be used to evaluate the expression</param>
        /// <param name="output">the instance of the template ie pass this</param>
        /// <returns>evaluated expression string</returns>
        public static void Write(CodeTemplate output, string expression, params object[] source)
        {
            // This is really a more convenient shortcut to the original code.
            output.Response.Write(Naming.EvaluateNamingExpression(expression, source));
        }
    }
}
