#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;

namespace dnp.Framework.Collections
{
    /// <summary>
    /// Provides a specialized collection for name value pairs. This collection is based on the Collection
    /// </summary>
    [Serializable]
    public class NameValueCollection: MultiKeyedCollection<System.Collections.DictionaryEntry>
    {
        public NameValueCollection() : base("Key") { }

        public void Add(string key, object value)
        {
            System.Collections.DictionaryEntry entry = new System.Collections.DictionaryEntry();

            entry.Key = key;
            entry.Value = value;
            this.Add(entry);
        }
    }
}
