#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System.Xml.Serialization;

namespace dnp.Framework.Database.InformationSchema.Configuration
{
    public class InformationSchemaProvider
    {
         private string m_strName = "";

        private string m_strAssembly = "";

        public InformationSchemaProvider()
        {
        }

        public InformationSchemaProvider(string name, string assemblyDetails)
        {
            this.Name = name;
            this.Assembly = assemblyDetails;
        }

        [XmlAttribute]
        public string Name
        {
            get { return m_strName; }
            set { m_strName = value; }
        }

        [XmlAttribute]
        public string Assembly
        {
            get { return m_strAssembly; }
            set { m_strAssembly = value; }
        }
   }
}
