#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
namespace dnp.Framework.Database.InformationSchema
{
    public class ForeignConstraintSchema : ConstraintSchema
    {
        private string _uniqueCatalog = "";
        private string _uniqueSchema = "";
        private string _uniqueColumnName = "";
        private string _uniqueTableName = "";
        private string _uniqueConstraintName = "";

        public string UniqueCatalog
        {
            get { return _uniqueCatalog; }
            set { _uniqueCatalog = value; }
        }

        public string UniqueSchema
        {
            get { return _uniqueSchema; }
            set { _uniqueSchema = value; }
        }

        public string UniqueColumnName
        {
            get { return _uniqueColumnName; }
            set { _uniqueColumnName = value; }
        }

        public string UniqueTableName
        {
            get { return _uniqueTableName; }
            set { _uniqueTableName = value; }
        }

        public string UniqueConstraintName
        {
            get { return _uniqueConstraintName; }
            set { _uniqueConstraintName = value; }
        }
    }
}
