#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using System.Xml.Serialization;

namespace dnp.ServiceModel.Configuration
{
    [Serializable]
    public class BusinessServiceDefinition
    {
        private string _name = "";
        private ExposedEntityDefinitionCollection _exposedEntities = new ExposedEntityDefinitionCollection();
        private ServiceMethodDefinitionCollection _serviceMethods = new ServiceMethodDefinitionCollection();
        private string _relativeNamespace= "";

        [XmlAttribute]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        [XmlAttribute]
        public string RelativeNamespace
        {
            get { return _relativeNamespace; }
            set { _relativeNamespace = value; }
        }

        public ExposedEntityDefinitionCollection ExposedEntities
        {
            get { return _exposedEntities; }
            set { _exposedEntities = value; }
        }


        public ServiceMethodDefinitionCollection ServiceMethods
        {
            get { return _serviceMethods; }
            set { _serviceMethods = value; }
        }
    }
}
