﻿#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty – Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
namespace dnp.ServiceModel.Configuration
{
    public class MetaDataDefinition
    {
        private EntityMetaDataDefinition _Entity = new EntityMetaDataDefinition();
        private ServiceMetaDataDefinition _service = new ServiceMetaDataDefinition();
        private EntityMetaDataDefinition _serviceDomain = new EntityMetaDataDefinition();
        private UnitTestMetaDataDefinition _unitTest = new UnitTestMetaDataDefinition();

        private ServiceMethodMetaDataDefinitionCollection _serviceMethods =
            new ServiceMethodMetaDataDefinitionCollection();


        public EntityMetaDataDefinition Entity
        {
            get { return _Entity; }
            set { _Entity = value; }
        }

        public ServiceMetaDataDefinition Service
        {
            get { return _service; }
            set { _service = value; }
        }

        public ServiceMethodMetaDataDefinitionCollection ServiceMethods
        {
            get { return _serviceMethods; }
            set { _serviceMethods = value; }
        }

        public EntityMetaDataDefinition ServiceDomain
        {
            get { return _serviceDomain; }
            set { _serviceDomain = value; }
        }

        public UnitTestMetaDataDefinition UnitTest
        {
            get { return _unitTest; }
            set { _unitTest = value; }
        }
    }
}
