﻿#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty – Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System.Xml.Serialization;

namespace dnp.ServiceModel.Configuration
{
    public class ServiceMethodMetaDataDefinition
    {
        private string _functionName = "";
        private string _storedProcedureName = "";
        private string _methodName = "";
        private string _role = "";
        private ServiceFeatureEnum _serviceFeature;

        [XmlAttribute]
        public ServiceFeatureEnum ServiceFeature
        {
            get { return _serviceFeature; }
            set { _serviceFeature = value; }
        }

        public string FunctionName
        {
            get { return _functionName; }
            set { _functionName = value; }
        }

        public string StoredProcedureName
        {
            get { return _storedProcedureName; }
            set { _storedProcedureName = value; }
        }

        public string MethodName
        {
            get { return _methodName; }
            set { _methodName = value; }
        }

        public string Role
        {
            get { return _role; }
            set { _role = value; }
        }
    }
}
