﻿#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty – Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System.Xml.Serialization;

namespace dnp.ServiceModel.Configuration
{
    public class ServiceMethodParameterDefinition
    {
        private string _dotNetType;
        private string _name;
        private string _relativeNamespace;

        [XmlAttribute]
        public string DotNetType
        {
            get { return _dotNetType; }
            set { _dotNetType = value; }
        }

        [XmlAttribute]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        [XmlAttribute]
        public string RelativeNamespace
        {
            get { return _relativeNamespace; }
            set { _relativeNamespace = value; }
        }

    }
}
