﻿#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty – Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System.Xml.Serialization;

namespace dnp.ServiceModel.Configuration
{
    public class ServiceReturnTypeDefinition
    {
        private string _type;
        private string _namespace;
        private bool _isEnumerable;
        private bool _isKnownType;

        [XmlAttribute]
        public string Type
        {
            get { return _type; }
            set { _type = value; }
        }

        [XmlAttribute]
        public string Namespace
        {
            get { return _namespace; }
            set { _namespace = value; }
        }

        [XmlAttribute]
        public bool IsEnumerable
        {
            get { return _isEnumerable; }
            set { _isEnumerable = value; }
        }

        [XmlAttribute]
        public bool IsKnownType
        {
            get { return _isKnownType; }
            set { _isKnownType = value; }
        }
    }
}