#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using System.Xml.Serialization;
using dnp.Framework.Database.DatabaseExplorer;

namespace dnp.DomainModeler.Configuration
{
    [Serializable]
    public class RelationshipDefinition : DomainIdentifierDefinitionBase
    {
        private RelationshipTypeEnum _relationshipType;


        public RelationshipDefinition()
        {
        }

        public RelationshipDefinition(string source, string name, bool visibility)
            : base(source, name, visibility)
        {
        }
        [XmlAttribute]
        public RelationshipTypeEnum RelationshipType
        {
            get { return _relationshipType; }
            set { _relationshipType = value; }
        }
    }
}
