#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
namespace dnp.Framework.UnitTest.Scripting.Shams
{
    /// <summary>
    /// This class is used to test expression evaluation
    /// </summary>
    public class ExpressionValue
    {
        private string _domainNamespace = "dnp.Framework";
        private string _entityName = "ExpressionTest";
        private ExpressionValueChild _child = new ExpressionValueChild();

        public string DomainNamespace
        {
            get { return _domainNamespace; }
        }

        public string EntityName
        {
            get { return _entityName; }
        }

        public ExpressionValueChild Child
        {
            get { return _child; }
        }
    }
}
