#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System.Collections.Generic;
using dnp.Framework.Scripting;
using MbUnit.Framework;

namespace dnp.Framework.UnitTest.Scripting
{
    [TestFixture]
    public class TextListTest
    {
        [Test]
        public void ConstructorWithField()
        {
            List<KeyValuePair<string, string>> col = new List<KeyValuePair<string, string>>();

            col.Add(new KeyValuePair<string, string>("Item1", "Item1"));
            col.Add(new KeyValuePair<string, string>("Item2", "Item2"));
            col.Add(new KeyValuePair<string, string>("Item3", "Item3"));
            col.Add(new KeyValuePair<string, string>("Item4", "Item4"));
            col.Add(new KeyValuePair<string, string>("Item5", "Item5"));
            col.Add(new KeyValuePair<string, string>("Item6", "Item6"));

            TextList list = new TextList(col, "$Value$");

            string result = list.ToString(", ");
            Assert.AreEqual("Item1, Item2, Item3, Item4, Item5, Item6", result);
        }

    }
}