#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using System.Xml;
using dnp.Framework.Reflection;

namespace dnp.Framework.Configuration
{
    public class ConfigurationManager
    {
        // Methods
        public static T RetrieveSection<T>(string section)
        {
            return (T)System.Configuration.ConfigurationManager.GetSection(section);
        }

        public static void UpdateSection<T>(string section, T definition)
        {
            System.Configuration.Configuration configuration1 = System.Configuration.ConfigurationManager.OpenExeConfiguration(new AppDomainSetup().ConfigurationFile);
            XmlDataDocument document1 = new XmlDataDocument();
            XmlDataDocument document2 = new XmlDataDocument();
            document2.LoadXml(Serializer.Serialize(definition));
            document1.LoadXml(configuration1.GetSection(section).SectionInformation.GetRawXml());
            document1.DocumentElement.InnerXml = document2.DocumentElement.InnerXml;
            configuration1.GetSection(section).SectionInformation.SetRawXml(document1.InnerXml);
            configuration1.Save();
        }


    }
}
