#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;
using System.Configuration;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Serialization;

namespace dnp.Framework.Configuration
{
    internal class CustomSectionHandler : IConfigurationSectionHandler
    {

        public object Create(object parent, object configContext, XmlNode section)
        {
            object obj1 = null;
            if (section != null)
            {
                XPathNavigator navigator1 = section.CreateNavigator();
                string text1 = (string)navigator1.Evaluate("string(@configuratorType)");
                Type type1 = Type.GetType(text1);
                XmlSerializer serializer1 = new XmlSerializer(type1);
                XmlNodeReader reader1 = new XmlNodeReader(section);
                using (XmlNodeReader reader2 = reader1)
                {
                    obj1 = serializer1.Deserialize(reader1);
                }
            }
            return obj1;
        }
    }
}
