#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System.Xml.Serialization;

namespace dnp.Framework.Database.DataProvider.Configuration
{
    public class Database
    {

        private string m_strName = "";
        private string m_strConnectionString = "";
        private string m_strDataProvider = "";

        public Database()
        {
        }

        public Database(string name, string provider, string connectionString)
        {
            this.Name = name;
            this.DataProvider = provider;
            this.ConnectionString = connectionString;
        }

        [XmlAttribute]
        public string Name
        {
            get { return m_strName; }
            set { m_strName = value; }
        }

        [XmlAttribute]
        public string ConnectionString
        {
            get { return m_strConnectionString; }
            set { m_strConnectionString = value; }
        }

        [XmlAttribute]
        public string DataProvider
        {
            get { return m_strDataProvider; }
            set { m_strDataProvider = value; }
        }
    }
}
