#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;

namespace dnp.Framework.Database.DataProvider.Configuration
{
    [Serializable]
    public class DatabaseDefinitions
    {
        private DatabaseCollection _databases = new DatabaseCollection();
        private DataProviderCollection _dataProviders = new DataProviderCollection();

        public DatabaseCollection Databases
        {
            get { return _databases; }
            set { _databases = value; }
        }

        public DataProviderCollection DataProviders
        {
            get { return _dataProviders; }
            set { _dataProviders = value; }
        }


    }
}
