#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
namespace dnp.Framework.Database.DatabaseExplorer
{
    public class DatabaseSchema : SchemaBase
    {
        TableCollection _tables = new TableCollection();
        ViewCollection _views = new ViewCollection();
        private RoutineCollection _routines = new RoutineCollection();

        public DatabaseSchema(string name, Database parent)
            : base(name, parent, parent)
        {
        }

        public TableCollection Tables
        {
            get { return _tables; }
        }


        public ViewCollection Views
        {
            get { return _views; }
        }

        public RoutineCollection Routines
        {
            get { return _routines; }
        }
    }
}
