﻿#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty – Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using dnp.Framework.Database.InformationSchema;


namespace dnp.Framework.Database.DatabaseExplorer
{
    public class RoutineColumn : Column
    {
        public RoutineColumn(Routine parent, ColumnSchema columnSchema)
            : base(parent, parent.Database, columnSchema)
        {
        }

        public new Routine Parent
        {
            get { return (Routine) base.Parent; }
            protected set { base.Parent = value; }
        }

        public override bool InUnquieIndex
        {
            get { return false; }
        }

        public override bool InPrimaryKey
        {
            get { return false;}
        }

        public override bool InForeignKey
        {
            get { return false; }
        }

        public override bool HasIndex
        {
            get { return false; }
        }
    }
}