#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using dnp.Framework.Collections;
using dnp.Framework.Database.InformationSchema;

namespace dnp.Framework.Database.DatabaseExplorer
{
    public class TableColumnCollection : MultiKeyedCollection<TableColumn>
    {
        public TableColumnCollection(Table parent, ColumnSchemaCollection columns)
            : base("Name")
        {
            foreach (ColumnSchema c in columns)
                this.Add(new TableColumn(parent, c));
        }

        public TableColumnCollection() : base("Name")
        {
        }
    }
}