#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
namespace dnp.Framework.Database.InformationSchema
{
    public class IndexSchema
    {
        private string _tableCatalog = "";
        private string _tableSchema = "";
        private string _tableName = "";
        private string _constraintName = "";
        private string _columnName = "";
        private int _ordinalPosition;
        private int _fillFactor;
        private string _indexType;
        private bool _isClustered;
        private bool _isDisabled;


        public string TableCatalog
        {
            get { return _tableCatalog; }
            set { _tableCatalog = value; }
        }

        public string TableSchema
        {
            get { return _tableSchema; }
            set { _tableSchema = value; }
        }

        public string TableName
        {
            get { return _tableName; }
            set { _tableName = value; }
        }

        public string ConstraintName
        {
            get { return _constraintName; }
            set { _constraintName = value; }
        }

        public string ColumnName
        {
            get { return _columnName; }
            set { _columnName = value; }
        }

        public int OrdinalPosition
        {
            get { return _ordinalPosition; }
            set { _ordinalPosition = value; }
        }

        public int FillFactor
        {
            get { return _fillFactor; }
            set { _fillFactor = value; }
        }

        public string IndexType
        {
            get { return _indexType; }
            set { _indexType = value; }
        }

        public bool IsClustered
        {
            get { return _isClustered; }
            set { _isClustered = value; }
        }

        public bool IsDisabled
        {
            get { return _isDisabled; }
            set { _isDisabled = value; }
        }
    }
}