﻿#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty – Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System;

namespace dnp.Framework.Web
{
    public class LogEntry
    {
        private DateTime _date;
        private DateTime _time;
        private string _siteName;
        private string _computername;
        private string _ipAddress;
        private string _method;
        private string _uriStem;
        private string _uriQuery;
        private int _portNumber;
        private string _version;
        private string _userAgent;
        private string _cookie;
        private string _referrer;
        private string _host;
        private string _status;
        private string _subStatus;
        private string _win32Status;
        private int _bytes;
        private int _bytes1;
        private TimeSpan _timeTaken;


        public DateTime Date
        {
            get { return _date; }
            set { _date = value; }
        }

        public DateTime Time
        {
            get { return _time; }
            set { _time = value; }
        }

        public string SiteName
        {
            get { return _siteName; }
            set { _siteName = value; }
        }

        public string Computername
        {
            get { return _computername; }
            set { _computername = value; }
        }

        public string IpAddress
        {
            get { return _ipAddress; }
            set { _ipAddress = value; }
        }

        public string Method
        {
            get { return _method; }
            set { _method = value; }
        }

        public string UriStem
        {
            get { return _uriStem; }
            set { _uriStem = value; }
        }

        public string UriQuery
        {
            get { return _uriQuery; }
            set { _uriQuery = value; }
        }

        public int PortNumber
        {
            get { return _portNumber; }
            set { _portNumber = value; }
        }

        public string Version
        {
            get { return _version; }
            set { _version = value; }
        }

        public string UserAgent
        {
            get { return _userAgent; }
            set { _userAgent = value; }
        }

        public string Cookie
        {
            get { return _cookie; }
            set { _cookie = value; }
        }

        public string Referrer
        {
            get { return _referrer; }
            set { _referrer = value; }
        }

        public string Host
        {
            get { return _host; }
            set { _host = value; }
        }

        public string Status
        {
            get { return _status; }
            set { _status = value; }
        }

        public string SubStatus
        {
            get { return _subStatus; }
            set { _subStatus = value; }
        }

        public string Win32Status
        {
            get { return _win32Status; }
            set { _win32Status = value; }
        }

        public int Bytes
        {
            get { return _bytes; }
            set { _bytes = value; }
        }

        public int Bytes1
        {
            get { return _bytes1; }
            set { _bytes1 = value; }
        }

        public TimeSpan TimeTaken
        {
            get { return _timeTaken; }
            set { _timeTaken = value; }
        }
    }
}
