﻿#region License
// (c) Garry McGlennon 2009
// 
// This project is made available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty – Use at your own risk
// 
// View the project and the latest code at http://dnpframework.codeplex.com/
// 
// All other rights reserved.
// 
// blog: www.dotNetProfessional.com/blog/
#endregion
using System.Xml.Serialization;

namespace dnp.ServiceModel.Configuration
{
    public class ParameterMapDefinition
    {
        private string _dbType;
        private int _dbTypeSize;
        private string _dotNetType;
        private bool _isNullable;
        private string _nullablePropertyParameterCheck;
        private string _parameterName;
        private string _propertyMapping;

        [XmlAttribute]
        public string DbType
        {
            get { return _dbType; }
            set { _dbType = value; }
        }

        [XmlAttribute]
        public int DbTypeSize
        {
            get { return _dbTypeSize; }
            set { _dbTypeSize = value; }
        }

        [XmlAttribute]
        public string DotNetType
        {
            get { return _dotNetType; }
            set { _dotNetType = value; }
        }

        [XmlAttribute]
        public bool IsNullable
        {
            get { return _isNullable; }
            set { _isNullable = value; }
        }

        [XmlAttribute]
        public string NullablePropertyParameterCheck
        {
            get { return _nullablePropertyParameterCheck; }
            set { _nullablePropertyParameterCheck = value; }
        }

        [XmlAttribute]
        public string ParameterName
        {
            get { return _parameterName; }
            set { _parameterName = value; }
        }

        [XmlAttribute]
        public string PropertyMapping
        {
            get { return _propertyMapping; }
            set { _propertyMapping = value; }
        }
    }
}
